package com.casic.br.utils

import com.tuya.smart.sdk.api.IDevListener

open class TuyaDeviceListener : IDevListener {

    /**
     * DP 数据更新
     *
     * @param devId 设备 ID
     * @param dpStr 设备发生变动的功能点，为 JSON 字符串，数据格式：{"101": true}
     */
    override fun onDpUpdate(devId: String?, dpStr: String?) {

    }

    /**
     * 设备移除回调
     *
     * @param devId 设备id
     */
    override fun onRemoved(devId: String?) {

    }

    /**
     * 设备上下线回调。如果设备断电或断网，服务端将会在3分钟后回调到此方法。
     *
     * @param devId  设备 ID
     * @param online 是否在线，在线为 true
     */
    override fun onStatusChanged(devId: String?, online: Boolean) {

    }

    /**
     * 网络状态发生变动时的回调
     *
     * @param devId  设备 ID
     *  @param status 网络状态是否可用，可用为 true
     */
    override fun onNetworkStatusChanged(devId: String?, status: Boolean) {

    }

    /**
     * 设备信息更新回调
     *
     * @param devId  设备 ID
     */
    override fun onDevInfoUpdate(devId: String?) {

    }
}